# Exclude Land Processes in NEMO

The **E**xclude **L**and **P**rocesses **i**n **N**EMO tool is a tool that allow to find proper namelist parameters to exclude Land-only processes in NEMO simulations.

To use the tool, just clone it to your work station and launch the ./Launcher and follow the instructions!

The first time that you run the tool it will install it.

After that, with the resolution and the maximum number of processes to use, it will give you the 5 better domain decompositions to run with a maximum number of processors.

Once the tool is installed, the command ``./Launcher ORCA025 512`` will produce :
```
Resolution  ORCA025
Max number of processors: 512


It will be better if you run with one of these configurations:
Bigger coefficient is better!
jpij: 499 jpi: 37 jpj: 17  OriginalP: 629  LandP: 130 SeaP: 499  Coeficient: 672.25
jpij: 497 jpi: 30 jpj: 21  OriginalP: 630  LandP: 133 SeaP: 497  Coeficient: 670.73
jpij: 510 jpi: 34 jpj: 19  OriginalP: 646  LandP: 136 SeaP: 510  Coeficient: 669.28
jpij: 490 jpi: 25 jpj: 25  OriginalP: 625  LandP: 135 SeaP: 490  Coeficient: 664.58
jpij: 504 jpi: 29 jpj: 22  OriginalP: 638  LandP: 134 SeaP: 504  Coeficient: 662.45
```

The parameters in the first three columns indicate the values that must go to the *NEMO* **namelist**.
The others parameters indicate the following:
* **OriginalP** indicate the number of subdomains with a determined decomposition without removing the land processes.
* **LandP** indicate the number of only-land subdomains.
* **SeaP** indicate the number of subdomains that include at least one sea-point.
* The **Coefficient** value is computed using the number of processors (**P**), the size of the original grid (**Os**) and the sum of the size of all the sea-subdomains (**Fs**).
The formula used is the following: **Coef** = **P** · **Os**^2 / **Fs**^2. Then, this value increases when more processors are used but is modulated with the **Os**^2 / **Fs**^2 factor. This factor is mainly affected by two things:
 * More overlapping between subdomains decreases this factor.
 * Being able to remove more land-only processes increases this factor.
 
Using the numbers provided by this script allow to succefully run without the processes that do not contain any sea point.
Sample result of a simulation with ORCA12 removing the Land processes:

![result](/uploads/14436bb19990e5ab7563134a40c950fe/RemovedProcesses.png)

In the next plots you can see the output of an ORCA025 simulation using 120 processes and below with 950 processes.
When more processes are used the size of the subdomains is smaller and then it is possible to adjust more to the continental shape and then delete more processes.
![O025_120p](/uploads/775d2de2a2ade97dc9a54b56ff7e4ebf/RemovedProcessesORCA025_120.png)
![O025_120p](/uploads/42cd6b018eefc525f9349b0d9d5101ef/RemovedProcessesORCA025_950.png)
